= 8.9.9 =

* Changed the test newsletter procedure to be compatible with some delivery addons

= 8.9.8 =

* Added button to create newsletter with raw html and the legacy themes
* Better separation of the three editors

= 8.9.7 =

* Fixed newsletter creation error

= 8.9.6 =

* Package fix

= 8.9.5 =

* Added common class to integrate membership plugins
* Added notice when the main sending speed is overridden by a delivery addon
* Added warning when the public page is misconfigured
* Fixed PHP warning on the main settings
* Changed the minimum WP version to 6.1

= 8.9.4 =

* Added notifications for sending fatal errors

= 8.9.3 =

* Fixed deprecated PHP function
* Fixed excerpt with non breakable spaces

= 8.9.2 =

* Fixed wrong escape on sender name
* Fixed notice when NEWSLETTER_SEND_DELAY is set
* Fixed max emails per seconds option
* Changed the sending window

= 8.9.1 =

* Fixed max emails per second to be a decimal number less than 1
* Fixed subscribers pagination when the database is empty
* Improved "controls" for post selection
* Added the NEWSLETTER_MULTILANGUAGE constant: when set to false the multilanguage features are disabled
* Added the NEWSLETTER_SEND_DELAY constant (see our documentation)

= 8.9.0 =

* Fixed PHP admin warning

= 8.8.9 =

* Fixed the primary button alert

= 8.8.8 =

* Optimized the mailer addon code to be loaded only when needed
* Added role and aria-level attribute to heading block
* Style fix on admin panels
* Fixed some PHP warnings

= 8.8.7 =

* Fixed link to the legacy themes

= 8.8.6 =

* Fixed hero block image alt attribute
* Fixed the minimal widget
* Composer code refactoring
* Fixed composer modals on welcome email
* Removed the old presets
* Updated the composer templates
* Added warning if the confirmation email is missing the correct URL
* Added sending time window (see main settings)
* Improved the Help/Delivery page
* Removed HTML filter for users with unfiltered html capability to avoid custom block breaking

= 8.8.5 =

* Added more content filters to prevent XSS (write us if you have issues on saving options or editing content)
* Fixed PHP warnings
* Optimized composer code
* Limited access to delivery addon to administrators

= 8.8.4 =

* Fixed fatal error on welcome email editing

= 8.8.3 =

* Fixed the S. Valentine template
* Changed the main CSS configuration validation
* Fixed button padding lost when saving a newsletter

= 8.8.2 =

* Added full editor to the title block
* Added no list filter on subscribers' page
* WP 6.8.1 check
* Option to get the reason when the email cannot be refreshed (mainly for Automated)
* Added more checks on "unfiltered_html" capability

= 8.8.1 =

* Added nfid hidden form field to manage form submission custom data

= 8.8.0 =

* Added shortcode attributes support to old HTML forms
* Improved popup code to be compatibile with js minifiers and lazy loading

= 8.7.9 =

* Fixed commit

= 8.7.8 =

* Added Spotify
* Improved license, addons and news caching
* WP 6.8 check
* Added ajax attribute to the newsletter_form shortcode
* Added filter "subscription date" for targeting
* Moved geo filters on the targeting panel
* Improved the antispam logging

= 8.7.7 =

* Fixed conflict with Revolution Slider
* Fixed Automated and Autoresponder menu entries
* Added constant NEWSLETTER_TEST_SUBJECT_POSTFIX to control the test email subject

= 8.7.6 =

* Fixed logger group for delivery addons
* Added data on log for unresolved subscribers
* Added referrer to subscriptions from 3rd party integrated forms
* New way to add top menu entries (more efficient and clean)
* Fixed welcome email saving loosing the subject (when a posts block is included)
* Fixed confirmation button on confirmation email (when created with the provided template)
* Improved footer block on mobile devices

= 8.7.5 =

* Fixed the template refresh when composing a newsletter
* Fixed subscription settings saving for custom texts on multilanguage blogs

= 8.7.4 =

* Fixed the composer for the confirmation and welcome emails

= 8.7.3 =

* Fixed not editable blocks on first newsletter creation or template change

= 8.7.2 =

* Added custom confirmation email
* Removed old code and reorganized the packaged templates
* Revisited the subscription, confirmation and welcome configuration
* Reorganized some admin pages
* Changed scheduler related messages
* Added preview to the confirmation page
* Added the forms menu to make the configuration clearer
* Fixed unsubscription page preview with multilanguage plugins
* Fixed profile edit page preview with multilanguage plugins
* Added a few new values to the system page

= 8.7.1 =

* Cleaned up custom css on main configuration (available only to administrators)
* Fixed error on System page when DB_CHARSET is not defined
* WP 6.7.2 check

= 8.7.0 =

* Fixed referrer

= 8.6.9 =

* Fixed tracking of action links with the ajax format
* Fixed referrer
* Added support for upcoming custom activation email
* Added support for upcoming email series in/out

= 8.6.8 =

* Fixed Ninja Forms link on Forms main page
* Fixed extra characters on image block
* New controls for autoresponders selection
* Fixed System page message about cURL

= 8.6.7 =

* Fixed posts block meta text for "big image" layout

= 8.6.6 =

* Release to try to fix the file not found from WP.org

= 8.6.5 =

* Added logging on table upgrade
* Added global WP variables on posts block loop
* Renamed Twitter to X
* Added custom CSS for newsletters
* Fixed PHP warning on $user->_dummy
* Added author filter on posts block
* Added control for subscriptions of already registered and subscribed emails

= 8.6.4 =

* Revamped Help/System page
* Added notes on the delivery speed settings for low values
* Added per list confirm/unconfirm actions
* Added Amazon, Mastodon, Bluesky and Kickstarter social icons
* Fixed the profile form saving when using the profile field shortcode

= 8.6.3 =

* Re-introduced the export with the shortcode "newsletter_export_button" (see the Profile Page)
* Fixed bug when multilanguage is turned off but still using per language configurations
* Fixed CSS of the unsubscribe button

= 8.6.2 =

* Fixed wrong notice for admin about no lists defined on forms

= 8.6.1 =

* Fixed single button list change URL
* Changed the main stats page
* Minor fixes and improvements
* WP 6.7 check
* Fixed underlined header title

= 8.6.0 =

* Fix for WPML continued

= 8.5.9 =

* Fixed dashboard steps (not updating)
* Added subscriber events generated by external delivery services (bounced, complained, ...)
* Fixed public redirections with WPML landing on the wrong language when the URL mode is set to add the lang parameter (seems something new)
* Added fix to the upgrade procedure for invalid values already present on the wp_options table

= 8.5.8 =

* Added language column on subscriber list
* Fixed footer block loosing the settings

= 8.5.7 =

* Added filter to support TranslatePress public page translation
* Removed the full layout option on the footer block
* Added "mobile" padding to the composer global settings for mobile devices useful for boxed layouts
* NOTE: "mobile" padding works on Outlook and Gmail apps on Android, it could not work on other devices
* NOTE: "mobile" padding does not work on Thunderbird desktop app when resized to simulate a mobile device (known behavior)
* Added role "presentation" to tables for screen readers
* Improved the media cropping when low res images are used

= 8.5.6 =

* Changed the simple popup action url

= 8.5.5 =

* Fixed on/off date on posts block
* Fixed image link on image block

= 8.5.4 =

* Fixed comments for IE appearing on newsletters

= 8.5.3 =

* Added styles support to header and footer blocks
* Added accordion on some block for easy configuration
* Added support for block layouts
* Added support for block default config on external file
* Added some new (not completely) email safe font
* Added 2 new set of social icons (white and black pure logos)
* New newsletter footer block layout
* Added full wide block background

= 8.5.2 =

* Fixed fatal error triggered by some addons using the internal logger

= 8.5.1 =

* Added logging for WP cron
* WP 6.6.2 check
* Added notes to lists panel

= 8.5.0 =

* Changed flood check on subscription via thrid party forms
* Improved the check for public page on multilanguage sites
* Extended the number of pages listed on the Newsletter's main settings

= 8.4.9 =

* Changed "save_email" to return a WP_Error (when there are severe DB errors)
* webp converted to png to preserve the transparency
* Fixed labels on list management page

= 8.4.8 =

* Added link to license badge
* Added warning if the delivery engine has been paused using WP Crontrol
* Revisited the Help/Delivery
* Added check on XML DOM code (library bug?)
* Fixed admin message about invalid custom field
* Fixed import/export menu entry
* Fixed the welcome email when sent from the admin side
* More control on repeated subscriptions
* Added admin wide message when newsletter have been bklocked by fatal errors
* Changed license top menu button
* Removed license badge

= 8.4.7 =

* Fixed redirection to welcome page

= 8.4.6 =

* WP 6.6 check
* Improved error detection on test email
* Added newsletter id on action urls

= 8.4.5 =

* Fixed minor problem with for hidden data
* Added the Threads social

= 8.4.4 =

* Added support for autoresponders in form builder integrations

= 8.4.3 =

* Removed the cookie check on antibot since some site has a cookie filter making it to fail (!)
* Code review
* Added evidence of newsletters with errors on Help/Delivery page
* Improved code
* Improved some help texts

= 8.4.2 =

* WP 6.5.5 check
* Fixed check on forms panel
* Changed the unsubscription antibot to prevent problem caused by JS lazy loading
* Review the widget code to be compiant with phpcs Wordpress rules
* Code review
* Added alternative action links and tracking links format (on Newsletter's main settings) to solve problems with caches
* Improved the relinking code performances

= 8.4.1 =

* Added class for addons' admin pages
* Added shortcode for build custom profile page (to be documented)
* Fixed the activation email on multilanguage installations
* Added topbar sending stats
* Added more information on the delivery panel*
* Added "wire" preset to the button block

= 8.4.0 =

* Fix saving error for mysql configured to not treat as null the 0 valued primary key

= 8.3.9 =

* Important review of the subscription process with trusted and untrusted subscriptions
* Improved notes on WP page list about the pages used as public page and for which language
* Fixed redirect of the "activation required" message on multilanguage blogs
* Added note on page list for custom profile page
* Added note on page list for custom welcome page
* Added check on get_news() to manager firewall response body corruption
* Refresh the newsletter total subscriber count to take in account of new subscription and cancellation during a long sending process
* Fixed license badge color
* Refactoring of the subscription/subscriber internal status
* Added check on WP HTML Email plugin
* Filter "newsletter_message_headers" is now deprecated and will be removed shortly (use "newsletter_message" instead)
* Filter "newsletter_message_html" is now deprecated and will be removed shortly (use "newsletter_message" instead)
* Filter "newsletter_message_text" is now deprecated and will be removed shortly (use "newsletter_message" instead)
* Filter "newsletter_message_subject" is now deprecated and will be removed shortly (use "newsletter_message" instead)
* Distinct replacement of tags for email and web

= 8.3.8 =

* Fixed problem on table creation on first install

= 8.3.7 =

* Fixed error on the dashboard (PHP variable conflict with some themes)
* Added notice for public pages for all languages
* Fixed problem with multilanguage plugins
* Edit link for administrator on subscription form now adds the current language on link
* Added online profile page edit link for administrators
* Fixed "date" tag when sending a test
* Added note on custom CSS field
* Fixed dashboard error
* Fixed redirect to welcome page for multilanguage blogs

= 8.3.6 =

* Improved security
* Removed obsolete code
* Two steps unsubscription now mandatory (old links continue to work)
* Fixed the page or url selector for the welcome page
* Fixed internal delivery engine stats (not the subscriber or newsletter stats!)
* Export feature moved to the Import/Export addon for improvements

= 8.3.5 =

* Avoid the first batch immediate sending if there are other newsletters already sending
* XSS security fix (thanks to Wordfence)
* Internal management of untrusted subscribers (for privacy reasons, could cause different subscription behaviors)

= 8.3.4 =

* New button on lists page to add every subscriber to a list
* New help texts
* Prefixed Spectrum library CSS to avoid problem with other plugins injeting their code on our admin pages!
* New check on cURL and openssl versions
* Fixed date tag for online view
* Changes to support ElasticEmail special unsubscribe link
* Fixed use of the NEWSLETTER_ACTION_TYPE constant

= 8.3.3 =

* Changed link validation for custom activation and welcome pages
* WP 6.5.3 check
* Added reverse option to the posts block

= 8.3.2 =

* Fixed title alignment for the posts block (when used with Automated)
* Fixed debug notices on composer and posts block
* Added max emails per second
* Fixed missing SVG referenced by CSS

= 8.3.1 =

* Added email series view on subscriber's edit page
* Fixed couple of debug notices
* Fixed layout of the main stats page
* Fixed time on user list (timezone)
* Added main title for posts block when used with Automated

= 8.3.0 =

* Reviewed dashboard
* WP 6.5.2 check
* Added border to newsletter buttons
* Added 1/3 layout to "Hero" block (we should rename it...)
* Added date and optimized the subscribers' list

= 8.2.8 =

* Fixed problem on custom fields panel
* WP 6.5.0 check

= 8.2.7 =

* Fixed warning in the statistics module

= 8.2.6 =

* Fixed PHP 8.2 notice

= 8.2.5 =

* Fixed error on subscription of existings subscriber when configured to now be allowed
* Added filters on posts block to try to be compatible with multiauthors plugin

= 8.2.4 =

* Fixed warning on profile page
* Added avif image conversion
* Improved check on opcache PHP module
* Removed the microdata on email for the confirmation link
* Added author filter on "posts" block
* Fixed the custom welcome email on multilanguage installations
* Added last activity time on the subscriber export

= 8.2.3 =

* Fixed wrong 8.2.2 package

= 8.2.2 =

* [BREAKING CHANGE] Per language selector of the public page
* [FIX] Fixed the antispam log
* [NEW] Improved logging
* [FIX] Fixed welcome page redirection for custom welcome URLs and Polylang
* [NEW] Added a page selector for the welcome page (the direct URL is still an option)
* [NEW] Added a page selector for the profile page (the direct URL is still an option)
* [NEW] Improved profile page on multilanguage installations
* [NEW] Check for the Newsletter's public page on multilanguage installations
* [NEW] Added WP User matching by email

= 8.2.1 =

* Removed the antispam IP blacklist since it is not really effective considering the wide use of VPNs, IP forgering, and so on
* We recommend to use a security plugin or a firewall to block unwanted traffic from specific IPs

= 8.2.0 =

* New unsubscribe button shortcode (see the unsubscription panel)
* New resubscribe button shortcode (see the unsubscription panel)
* New default unsubscribe confirm message
* Autoset of the alternative text for medias on image block
* Added messages and link on online tests
* Added the dummy subscriber to test the functionalities
* Immediate trigger of the first batch when sending a newsletter
* Added preview of the profile page with dummy subscriber
* Added preview of the unsubscription process with dummy subscriber
* Fixed date formatting on newsletters
* Reactivated the convert to HTML button
* Added logging support to the antispam filter
* Improved the spam filter error reporting
* New submit button attributes for all form shortcodes (see our documentation)
* New "fields" attribute for the newsletter_form shortcode (see our documentation)

= 8.1.9 =

* Fixed welcome email lost on saving the subscription options

= 8.1.8 =

* Fixed welcome email lost on saving the subscription options

= 8.1.7 =

* Revert back the antibot method for unsubscription
* Added recommendations for the two step sunsubscribe

= 8.1.6 =

* Reorganized Delivery and Scheduler panels to be more readable
* Fixed error on old default theme
* Clean up of old backups
* Fixed translations tags on subscribers' statistics panel
* Updated min WP version to 5.1

= 8.1.5 =

* Fixed wrong menu labels

= 8.1.4 =

* Added translations to antispam messages
* Removed the token change on unsubscription
* Fixed the captcha submit button
* The error message for duplicated subscriptions is now shown on the public page

= 8.1.3 =

* Fixed subscription form extra DIV

= 8.1.2 =

* Added better tracking of unsubscription via One-Click Unsubscribe RFC 8058
* Fixed wrong helper text on profile page
* Added font size and face to the editor for specific settings
* Fixed one-click unsubscribe for Yahoo
* Added form field placeholders
* Added option to hide the field labels to the form shortcode
* Improved the bot blocking step
* Refactored addon class code
* Added hid labels option on widget
* Improved the System panel
* Fixed unsubscription email in multilanguage setups

= 8.1.1 =

* Fixed user saving

= 8.1.0 =

* Improved logging
* Removed shortcode option (default on)
* Simplified the newsletter editing panel
* Change the one click unsubscribe header to improve bot blocking
* Changed the delivery engine locks since the WP transients seem not enough reliable
* Changed the Hero Block to be compatible with Outlook on Mac
* Added "in posts" forms
* Added popup form
* Added forms overview panel

= 8.0.9 =

* Added third-party templates support
* Fixed the opt-in on multilanguage installations
* Fixed subject saving on standard welcome email
* Fixes for multilanguage installations
* Fixed single opt-in on repeated subscription

= 8.0.8 =

* New configuration of the unsubscribe process
* New configuration of the welcome email

= 8.0.7 =

* On "Footer" block the unsubscribe mode can be selected (single or double step)
* Minor fixes
* Removed the PHPMailer signature to reduce the spam rate
* Security fix on wizard

= 8.0.6 =

* Fixed error on antibot filter

= 8.0.5 =

* New welcome email that can be designed with the composer
* New control for lists selection
* Fixed Event preset name
* Fixed dashboard links
* Added dashboard sources
* Added target "blank" for social icons
* Subscriber custom fields in edit panel shown as select when they are a list of values
* Added constant NEWSLETTER_TRACKING_TYPE to change the tracking URL
* Added constant NEWSLETTER_ACTION_TYPE to change the action URL
* Added private posts filter

= 8.0.4 =

* Fix paragraph margins
* Added injection hooks on the composer for AI Assistant
* Fixed PHP warning
* Compatibility check with WP 6.4.1
* Fixed border around image block with no padding

= 8.0.3 =

* Possible BREAKING CHANGE - Featured image for Posts block does not search the post gallery anymore
* Constant NEWSLETTER_USE_POST_GALLERY can be set to true to search the featured image on post gallery
* Fixed a couple of warning with the "minimal" form
* Added support for "button" attribute on "newsletter_form" shortcode
* Added align attribute to the newsletter form shortcode minimal version
* Clean up of the subscriber meta data table on deletion
* Added flow representation of the subscription process in the dashboard
* Added paragraph bottom margin on text block (in a different way)

= 8.0.2 =

* Fixed missing icons for WhatsApp
* Added the "show_name" option to the form type "minimal"
* Added styles for the minimal form mobile view
* Forced 0 margins for P tag to make uniform the rendering on Outlook and other clients
* Removed default font on text bock

= 8.0.1 =

* Improvements to the posts block (links and code refactoring)
* Removed TD attribute for padding problem with Outlook
* Added WhatsApp icon

= 8.0.0 =

* Removed caching on custom fields: it seems incompatible with multilanguage plugins
* Fixed the custom welcome email for repeated subscriptions
* Added check for WP Assets Clean Up Pro (please do not deactivate Newsletter on frontend!)
* notice for the removal of the "unstyled" page
* Reviewed how the [newsletter] shortcode works
* Fixed multilanguage bug when using shortcodes and placeholder to inject forms (subscription and profile editing)

= 7.9.9 =

* Removed use of the utf8_decode() function deprecated with PHP 8.2
* Fixed notice on some internal pages with PHP 8.2
* Fixed mobile preview for multicolumns block
* Fixed translation domain for the activation message

= 7.9.8 =

* Fixed PHP notice for "add_submenu_page()"
* Fixed PHP waning on user meta

= 7.9.7 =

* Fixed a "foreach" error on 7.9.6

= 7.9.6 =

* Added custom welcome email support
* More linking information on lists panel
* Fixed is_private() error under some specific settings
* Fixed warning with minimal form widget
* Updated Char.min.js (thanks to H. Nguyen)
* Added support for subscriber meta values
* Fixed "nocrop" missing key

= 7.9.5 =

* Fixed missing width for Outlook on packaged templates
* Foxed private list filtering on subscription form

= 7.9.4 =

* Fixed list max change and database upgrade
* Added a couple of templates
* Fixed debug notice on some composer blocks when WP_DEBUG is active

= 7.9.3 =

* Added check on custom fields when the configuration is missing
* Added twitter new logo
* New template management panel
* Fix attempt for shortcode not working on some blogs
* Added subscriber ID and connected WP User ID on export
* Newsletter list panel aligned with the new layout
* Added the template change on the composer

= 7.9.2 =

* Removed image format filters when we generate thumbnail to avoid the creation of webp images
* Added image crop control on posts block (experimental)
* Fixed test error on template configuration
* Added new controls and options to NewsletterFields
* Fixed antibot for keyed parameters

= 7.9.1 =

* Added the "required" attribute on profile fields
* Fixed "deprecated" notice with PHP 8.2
* Fixed debug notices on profile page with some PHP installations

= 7.9.0 =

* Fixed some line heights
* Added registration of shortcodes under the AJAX context
* Added shortcode management on newsletter online view
* Fixed line-height for Outlook on some blocks
* Fixed the template message test
* Added webp images check since Outlook does not support that format
* Fixed error text field on subscription panel not displaying when customized
* Security fix on minimal form shortcode
* Removed the "before" and "after" attributes of the main shortcode

= 7.8.9 =

* Added default subject when it is missing
* Added check on regeneration for missing subject
* Text block editor now uses the block background
* Added sub-menu to the subscriber edit page

= 7.8.8 =

* Fixed dismiss button no reloading the page correctly
* Restored error messages when adding as new an extiting email
* Added constant to define a delay between emails

= 7.8.7 =

* Fixed the dashboard layout (side effect of links not clickable)

= 7.8.6 =

* Restored the welcome wizard on new installations
* Revisited the main settings page
* Fixed preset deletion
* Added check on controls for fatal errors on some installations (apparently using the plugin in the wrong way)
* Fixed errors with PHP 8 on profile page

= 7.8.5 =

* Added new options to the "hero" block (alignement, color schema)
* Change the font scaling on blocks to scale only when the size is set to "default"
* Restored public access to $instance in Newsletter class since someone is (wrongly) using it
* Added post order patch by B. K.
* Fixed debug notice
* Fix on style.css
* Fixed captcha
* Fixed warning on newsletter online with with {title} tag
* Fixed custom fields not showing on profile page

= 7.8.4 =

* Fixed sanitization method used by the API
* Fixed missing cleanup functions used after massive deletions
* Fixed sending of text messages for activation and welcome emails
* Fixed warnings with wp-cli ()
* Fixed error with the old "default" legacy theme
* Fixed automatic subject from posts block

= 7.8.3 =

* Fixed debug notices
* Fixed missing form on public page
* Fixed notices on main settings (in debug mode)

= 7.8.2 =

* Fixed migration of custom HTML forms

= 7.8.1 =

* Fixed menu order
* Fixed gender field sanitization
* Fixed submit button style on subscription form created with shortcodes
* Fixed privacy label not aligned with the checkbox
* Fixed errors on legacy themes
* Fixed the export respoding with "0"

= 7.8.0 =

* Removed the unsed feed by mail references
* Fixed CSS for profile page form
* Improved configuration of the standard subscription form
* Added configuration for the profile page form
* Relativized font size and spaces on forms
* New admin organization with sub-menus
* New translation management (both for single language and multilanguage blogs)
* Removed the legacy SMTP
* Removed the PHPMailer instantiator
* Removed deprecated and unused code
* Added option to use the pre-translated texts (default on new installations)

= 7.7.0 =

* Fixed block detection on full post block

= 7.6.9 =

* Security fix
* Added new controls to uniform the user experience
* Fixed PHP notice on the footer
* Added filter on welcome email

= 7.6.8 =

* More strict checks on get_option function (object caching plugins...)
* Added massive status change for subscribers
* Added new controls on common code
* Fixed some doc links
* Fixed help badge on some panels
* Changed the posts block for Outlook on Mac

= 7.6.7 =

* Fixed hook linked functions on status page when closures are used
* Fixed green color on links in the composer
* Changed the default style of the text block
* Optimized CSS an JS
* Removed old composer code
* Added trimming for long fields
* Code for logged in users moved to the WP User Addon
* Added link on status page to see the advanced report
* Removed obsolete status page data
* Fixes for PHP 8.2
* Removed obsolete "define" statements
* Fixed permalink generation with WPML in multidomain configuration and block post without a specified language
* Improved email validation
* Minor style fixes
* Fixed composer javascript loading

= 7.6.6 =

* Improved the full post layout of the Posts block
* Improved the test message to check image loading from different servers
* Changed the system error reports
* Merge of CSS to avoid problems with optimizers

= 7.6.5 =

* Urgent. Removed the WPGlobus support from the core

= 7.6.4 =

* Fixed possible composer width not set
* Added version number on CSS to avoid browser caching
* Changed the full post alignment (should fix layout problems)
* When a test newsletter is sent from the composer to a custom address, the matching subscriber is used, if present
* Fixed lists missing on subscribers' panel

= 7.6.3 =

* Fixed composer sidebar not working on Firefox

= 7.6.2 =

* New administration look and feel
* Added ID attribute to form shortcodes
* Fix attempt to the posts block (layout one column) for Outlook on Mac

= 7.6.1 =

* Fixed newsletter global settings saving

= 7.6.0 =

* Added control on admin notification of cancellations
* Fixed the wrong error logged as "missing block.php" (anyway not affecting the plugin functionality)
* Added fix to avoid mod_security false positive and newsletter saving problems
* Improved image block for gmail web
* Added filters' check on Status panel
* Fixed Google Plus social url not cleared upon company info saving
= NEXT =

* New interface to configure the subscription flow
* Bright style on the admin side
* New configuration for the opt-out (was unsubscription - wrong word)
* Improved subscribers' general statistics
* Improved list panel readability when there are lot of notes

= 7.5.9 =

* Fixed underlined excerpt on posts block

= 7.5.8 =

* Added filter on newsletter message before online view
* Added excerpt lenght in character (useful for Chinese) on posts block
* Improved the excerpt extraction
* Add link on excerpt on posts block

= 7.5.7 =

* Check on ctype_space function (there are installation without it)
* Improved the html-2-text conversion
* Added language to the export
* Status labels fixed on subscriber search and edit panel
* Stripped HTML tags on block generated subjects

= 7.5.6 =

* Added new filter for multilanguage support for GTranslate (experimental)
* Added link to the backup/recovery documentation

= 7.5.5 =

* Fixed access control on form manager base class

= 7.5.4 =

* Fixed composer icons path for Amazon AWS+Bitnami installations
* Fixed profile form on multilanguage installation

= 7.5.3 =

* Fixed missing languages on profile page with WPML

= 7.5.2 =

* Fixed the global newsletter styles not applied when it is regenerated
* Fixed "title" tag not showing the value for "not specified" gender

= 7.5.1 =

* Fixed PHPMailer loading for WP 5.4.10
* Updated WP version compatibility

= 7.5.0 =

* Fixed image block width for small images or specific width

= 7.4.9 =

* Composer fix not updating new newsletters

= 7.4.8 =

* Changed the image block for Gmail
* Removed the WP emojis staticizer on emails sent by Newsletter

= 7.4.7 =

* Changed removal order of the emojis admin script breaking newsletters' body
* Disabled DOM warnings

= 7.4.6 =

* XSS security fix

= 7.4.5 =

* Fixed image block font-size to show the alt text (not for Outlook, it never shows the alt text)
* XSS security fix

= 7.4.4 =

* Changed the dedicated page retrieval to intercept misconfigurations
* Added option to accept repeated subscription in single opt-in (you should check if it is compatible with your privacy regulation)
* Posts field selector keep now track of the previous post selected even if no more in list
* Improved the error management when delivery fails using the WP native mailing function
* Added title filter on posts block for compatibility with WPGlobus

= 7.4.3 =

* Removed obsolete note about the newsletter textual part
* Introduced text part generator right now only for the Composer (with permission of Frank M.)
* Added check on System>Status for images with relative URL
* Addec check for Freesoul Deactivate Plugins
* Minimal for layout now consider the button_label attribute

= 7.4.2 =

* Fixed the post date (regression)
* Added link to the automatic plaintext generator plugin by franciscus
* Possible fix for our Gutenberg block (sometimes) not working
* Added uoloads dir and url on System>Status panel
* Fixed Status panel error when a newsletter is in "error" status
* Added default width to the logo on header block

= 7.4.1 =

* Added check on invalid media on two columns post type
* WP 5.9.2 compatibility check

= 7.4.0 =

* Added privacy links
* Added filter "newsletter_subscription" (documentation is under writing)

= 7.3.9 =

* Fixed grid layout not showing correctly on gmail
* Fixed notice on widget page about the wrong editor enqueued
* Removed wrong top bar warning
* Fixed block options on posts block
* Fixed padding on two column posts block

= 7.3.8 =

* Fixed graph scale on System/Scheduler panel
* Fixed untraslated labels on subscriber management panels
* Fixed the "toggle" private/public status on sent newsletter
* Removed the "action call test" from the status panel since it does not work with some providers but does not affect the correct working of Newsletter
* Added developer information on this readme

= 7.3.7 =

* Fixed unwanted redirects on subscription errors
* Fixed composer page HTML
* Minor fixes on PHP, CSS
* Fixed notice on image block

= 7.3.6 =

* Improved composer reusability in other contexts
* Removed obsolete composer code
* Fixed default tracking for old theme-based neewsletters
* Forced enconding on export (attempt)
* WP 5.9 check

= 7.3.5 =

* WP 5.8.3 compatibility check
* Fixed 2021 max year in date picker
* Typos

= 7.3.4 =

* Fixed delivery fatal error management
* Fixed link to the schduler dianostica panel

= 7.3.3 =

* Added "complained" status to subscriber filters
* Fixed some links bringing to a "not allowed" page
* Fixed a notice on delivery diagnostic page
* Fixed logo width notice on header block

= 7.3.2 =

* Fixed the remote ip retrieval and clean up
* Fixed header link to status page
* Fixed database error with too long IPs
* Fixed the subscription of cancelled addresses
* Fixed sender and name customization

= 7.3.1 =

* Dropped old mailers support
* Improved sending process and limits checking
* Removed obsolete notifications
* Fixed the wrong report on single email delivery speed
* Added support for custom sending speed by addons
* Improved excerpt generation (but it still depends on plugins and themes...)
* Support for building button option on composer blocks

= 7.3.0 =

* Fixed header block layout with (logo only layout)
* Check for conflicts on newsletter saving
* Added the subscriber complained status (actually not managed automatically)

= 7.2.9 =

* Fixed generic action button confirmation popup not showing the message
* [SECURITY] Pre parsing of IP addresses on security panel
* [SECURITY] Comments allowed on IP address list on security panel
* [COMPOSER] Fixed preset name/subject
* Improved generated forms for accessibility

= 7.2.8 =

* Fixed the print_date() when no time is provided
* Fixed date alignment on posts block
* Folders reorganization
* Social block with a new set of icons
* Boosted performances of the lists management page (for big databases)
* Added a new scheduler diagnostic panel
* Seriously improved the cron statistics and diagnostic panel (check it out!)
* Removed obsolete migration code from ancient versions

= 7.2.7 =

* Fixed JS error on composer sometimes preventing the correct initialization

= 7.2.6 =

* Fixed links on test emails sent to a free email address
* Added attachment explanation
* Added link to explain the use of the snippet

= 7.2.5 =

* Fixed subject not saved under specific circumstance

= 7.2.4 =

* Fixed the composer not starting for blog with SSL plugin but still HTTP configured on main WP settings
* Changed labels on subscriber maintenance panel
* Updated requirements for WP version

= 7.2.3 =

* [COMPOSER] Added approx. indicators of the subsject visibile part in Apple and Android clients (experimental)
* [COMPOSER] New mobile version view directly while composing (experimental)
* [COMPOSER] New test email to test subscribers or to specific email address
* [COMPOSER] Fixed missing background when creating a new message from a preset
* [COMPOSER] Added media selector to the CTA block
* [COMPOSER] Added reference to the tags on HTML and Text blocks
* [COMPOSER] Move the snippet (preheader) field near the subject
* [COMPOSER] Footer block with three link options: unsubscribe, manage and view online
* [COMPOSER] Improve font coherence between blocks (by default)
* [ANTISPAM] Improved the antispam checks on subscription
* [GENERAL] Removed obsolete folders and code
* [NEWSLETTERS] Refactored subject ideas selector
* [SUBSCRIPTION] Inverted extra profile fields and lists on standard subscription form
* [GENERAL] IP address extracted checking proxy variables
* [GENERAL] Improved sending stats collection and display for the delivery engine (not related to click/open stats)

= 7.2.2 =

* [COMPOSER] Posts block excerpt removed when set to 0-length
* [GENERAL]Added special characters on test message
* [GENERAL]Added more specific error for action calls on System/Status panel
* [SUBSCRIPTION] Check for the _wp_amp_action_xhr_converted parameter by AMP plugin

= 7.2.1 =

* [GENERAL] Added more detailed admin logging
* [NEWSLETTERS] Fixed scheduled date sometimes reset to 1/1/1970

= 7.2.0 =

* [PROFILE] Fixed activation email on profile change
* [NEWSLETTERS] Extended year selection on newsletter scheduling
* [DELIVERY] Breaking change: old enqueue() and flush() methods have been removed
* [GENERAL] Fixed alert message on some buttons
* [SUBSCRIPTION] Fixed error message on multiple subscriptions (when not allowed)
* [GENERAL] Fixed erratic error log line on main log

= 7.1.9 =

* [GENERAL] Removed the encodign defatlt to Base 64 when not specified since it seems incompatible with some SMTP plugins
* [GENERAL] Review some controls layout and behavior
* [DEBUG] Improved logging on database errors
* [GENERAL] Added TikTok, Discord and Twitch socials
* [GENERAL] Fixed odd error reported related to the cron call statistics collection
* [DEBUG] Added a delivery diagnostic panel

= 7.1.8 =

* [COMPOSER] Fixed alignment of single big image on Outlook Android

= 7.1.7 =

* [GENERAL] Fix of permalink onm email with multilanguage plugins

= 7.1.6 =

* [COMPOSER] Fixed one column big image Read more links

= 7.1.5 =

* [COMPOSER] Improve buttons on posts layout
* [COMPOSER] Improved header layout and logo
* [COMPOSER] Generally improved block spacing

= 7.1.4 =

* [COMPOSER] Fixed image block for Outlook
* [GENERAL] Fix undefined values in Gutenberg block

= 7.1.3 =

* [COMPOSER] Improvements on blocks layout compatibility
* [COMPOSER] Fixed preset global options saving
* [COMPOSER] Content regeneration on preset selection
* [GENERAL] Added to System menu the Site Health link, a not well known native page of WordPress with system information
* [GENERAL] Added sending statistics reset button on status panel

= 7.1.2 =

* [ADDONS] Fixed the addons list

= 7.1.1 =

* [GENERAL] Improved profile related functions
* [GENERAL] Fixed check on field names (thanks Peter P.)
* [COMPOSER] Fix on preset selection
* [GENERAL] Fix ajax subscription on error

= 7.1.0 =

* [COMPOSER] Added link to tags documentation to inject subscriber's data
* [COMPOSER] Fixed layout of posts block for Outlook 365
* [GENERAL] Improved caching of addons json (even on error)
* [GENERAL] Status menu changed to System/Status and System/Logs
* [API] Fixed the subscriber status management (the API Addon should be updated as well)
* [GENERAL] Fixed management of fatal errors on sending
* [GENERAL] Limited error string per message to 250 chars
* [GENERAL] Fixed check on field names (thanks Peter P.)


= 7.0.9 =

* [CAPTCHA] Fixed button label translation
* [DELIVERY] Mailing fatal error management with newsletter stop and reporting
* [SMTP] Marked obsolete the internal SMTP and made available the free SMTP addon
* [DELIVERY] Better management of delivery fatal errors with a new "error" status for newsletters
* [GENERAL] New log files panel
* [IMPORT] Old import panel replaced by the new (really better) import addon (file, copy and paste, bounced addresses import)
* [NEWSLETTERS] It's now possible to specify the sender name and email per newsletter (thanks to Matthew S.)

= 7.0.8 =

* [SUBSCRIBERS] Changed action buttons
* [GENERAL] Reorganization of CSS and removal of unused files
* [DASHBOARD] New window open for links and fix of invalid URLs
* [NEWSLETTERS] New action buttons
* [GENERAL] Minor fixes and optimizations
* [COMPOSER] Fixed rare size error on gif images

= 7.0.7 =

* [COMPOSER] Fixed a warning in some inline editable blocks
* [NEWSLETTERS] Fixed style which made list labels badly readable
* [NEWSLETTERS] Fixed style which made bullet lists white (not on delivered newsletters)
* [GENERAL] Added some references to the not working scheduler warning

= 7.0.6 =

* [COMPOSER] CTA block not grabbing settings from the "old" blocks
* [COMPOSER] CSS issue on button settings group
* [COMPOSER] Posts block two columns layout (author and padding)
* [IMPORT] Removed the old low-featured import (the free import addon has everything needed!)
* [GENERAL] Compatibility check with WP 5.7

= 7.0.5 =

* [COMPOSER] Hero CTA button not working
* Fixed to the hero block button
* Added support for the SMTP addon

= 7.0.4 =

* [COMPOSER] Redesigned drag and drop composer
* [COMPOSER] NEW! Save drag and drop composed newsletters as templates to reuse easily
* Redesigned dashboard
* Several bug and fixes

= 7.0.3 =

* Option to choose between unsubscription and profile link in the footer block
* Direct image src URL for image block
* New media selector for blocks
* Minor fixes
* Updated codemirror
* Updated default theme
* Fixed tag filter on posts block (when tags have parathesis or like)
* Fixed composer visualization of bullet points

= 7.0.2 =

* Fixed media 2x resize

= 7.0.1 =

* Fixed enforced lists by language with Polylang

= 7.0.0 =

* Added multiple newsletter selection for deletion
* Added text part on welcome and activation email
* Added the attribute "show_form" to "newsletter" shortcode
* Added filter on subscriber saving (from external systems) with wrong list field values
* Added index.html on log folder

= 6.9.9 =

* Not specified gender fix
* Labels translation
* Added "newsletter_message" filter to act on the whole message before sending
* Removed X-Mailer when sending with the internal SMTP
* Added referrer field on subscriber editing page
* Fixed button label control on composer

= 6.9.8 =

* New color picker
* Extended the IP field on stats table
* Removed filter for temporary email services (can be added in the security page)
* Added support to show the last regular newsletter (not private) adding to the home url ?na=view&id=last
* Hero and image blocks now use high res images

= 6.9.7 =

* Fixed country filter
* Fixed tag replacements for server with TR-tr locale

= 6.9.6 =

* Added 3 months option for inactive subscriber selection
* Improved the add-ons classes
* Improved admin messages for multilanguage blogs
* Updated link to documentation on main settings
* Added VK and Telegram socials
* Removed the old bounce import on subscribe maintenance panel
* Added Telegram and VK icon on social block component

= 6.9.5 =
* Added new posts block layout
* Improved the mobile version of hero block
* Added title and text global fonts

= NEXT =

* Added pagination on newsletters page table
* Changed label text for empty language in edit user page
* Added preheader text on email
* If email is paused but scheduled in the future it is now possible to change the sending date
* Fixed font weight selection for titles on posts block

= 6.9.4 =

* Fixed the profile save
* Improved the email change management from the subscriber data page
* Removed custom javascript and opted for HTML5 validation (you can use a polyfill plugin like parsely)
* Removed custom error messages (see above)
* Check on delivery speed to be minimum 10 emails per hour

= 6.9.3 =

* Fixed profile saving spam check

= 6.9.2 =

* Fixed error on TNP::subscribe()

= 6.9.1 =

* Fix of administrator notice on form about worng list

= 6.9.0 =

* Improved and optimized the lists field shortcode
* Added the dropdown option to the lists field shortcode
* Optimized the standard generated form aligned with the structure of the form generated by shortcodes
* Added notices **only for the administrator** on online forms to better discover wrong or unwanted configurations
* Added support for the next to come API version 2
* Internally revised the subscription process
* Fixed empty tag {profile_20}
* Fix CSS class on mininmal form privacy field
* Improved error message with notes for administrator on form submission errors
* Improved error repoting on invalid tracking links (very rare anyway)

= 6.8.9 =

* Welcome and activation messages test sent using the admin language
* Added RTL/LTR button on composer text block

= 6.8.8 =

* Fixed cancellation notification for admins

= 6.8.7 =

* Fix of confirmation_url attribute on minimal subscription form

= 6.8.6 =

* Disabled the default WordPress emoji to image replacer on admin pages of Newsletter

= 6.8.5 =

* Updated Controls class to support the new Reports Addon

= 6.8.4 =

* Code update for WordPress 5.5 compatibility (PHPMailer)
* Added dummy user-related-links on newsletter preview
* Fixed optin form option for the minimal subsbscription form

= 6.8.3 =

* Changed the administrative notification of subscription removing the lists and linking the user profile
* Fixed missing user token on data from some external sources
* Extra profiles fix and optmization
* Improved notificatons for usage of private fields on custom forms
* Better management of opt-in override on forms and notices for administration when used in wrong ways
* Fixed the posts block with odd numbers of posts on Automated context
* Added administrative notices on custom form for invalid list usage
* Added multilanguage support on lists on custom forms
* Added multilanguage support on extra profiles on custom forms
* Fixed CSS for extra profile fields
* Improved antibot/antispam performances
* Multilanguage on validation JS (but will be removed in favor of pure HTML validation)
* Fixed label "for" attribute for extra fields on custom forms
* Better test message from status panel
* Fixed vulnerability reported by WordFence

= 6.8.2 =

* Added HTML filtering on block rendering

= 6.8.1 =

* Fixed welcome message not being displayed (on 6.8.0)

= 6.8.0 =

* Improved license checking (only for who set a license code - it is not required)
* Imporved extra field configuration with multilanguage blogs
* Improved subscription form with extra fields for multilanguage blogs
* Minor code improvements
* Improved HTTP responses for invalid profile links (good for users and acceptance tests)
* Fixed newsletter page url generation with Polylang

= 6.7.9 =

* Fixed posts block

= 6.7.8 =

* Removed old themes (anyway not usable since long time)

= 6.7.7 =

* Fixed text escape for header and footer blocks (was reported as security required fix)

= 6.7.6 =

* Fixed error on profile save

= 6.7.5 =

* Added language selector on subscriber profile page on multilanguage site
* Fix multilanguage label on profile page
* Added newsletter_user_post_subscribe hook (just after saving the subscription, before saving you can use newsletter_user_subscribe)
* Added checks for WP 5.5 breaking changes
* Added new layout (big images) on posts block
* Added standard button on post block
* Minor fix on hero block
* Added support for Popup Maker (need a free addon)

= 6.7.4 =

* Improved posts block in the Automated context with more options
* Improved the unsubscribe header
* Removed the Auto-Submitted header

= 6.7.3 =

* Added the company_legal tag
* Change a column type on statitics table to improve performances on site with big subscription lists (100k+)
* Fix attempt on posts block for RTL languages

= 6.7.2 =

* Fix post permalink with WPML on language specific setting for Newsletter themes and blocks
* Added action newsletter_user_reactivated

= 6.7.1 =

* Changed the lists configuration to be more clear

= 6.7.0 =

* Fixed the text part not sent when using the standard mailing function of WP
* Added warning on statistic panel for email without the tracking active
* Fixed the hero block align when specified manually with text-align on text part

= 6.6.9 =

* Fixed the admin email preview not showing the correct email after visiting the online view of a newsletter
* Fixed possible not "100%" display percentage for sent newsletters (was only a display problem)

= 6.6.8 =

* Fixed newsletter view returning "not found"

= 6.6.7 =

* Fixed a debug notice on image resize

= 6.6.6 =

* Added check on submission for private lists (error shown only to administrator as debug information)
* Improved right layout on hero block
* Improved internal actions management (better performances)
* Added lists, media selector, charmap on text block
* Absolute path fix form media file with non relative path on database
* Internal admin pages review for code coherence with our standard
* Changed the action name from `newsletter_unsubscribed` to `newsletter_user_unsubscribed`. [See our developer documentation](https://www.thenewsletterplugin.com/documentation/developers/).
* Removed deprecated function `save_profile()` on NewsletterSubscription

= 6.6.5 =

* Fixed email reference lost on double step cancellation
* Update to support Instasend
* Added "optin" support on shortcodes (see the documentation)

= 6.6.4 =

* Added filter on profile fields on targeting
* Administrator notice on custom forms using provate lists
* Added translation code on some words
* Compatibility check with WP 5.4.1
* Tip changed on SMTP panel about GMail

= 6.6.3 =

* Changed the administration script enqueuing
* Improved the status page
* Added notice on page list to highlight the Newsletter dedicated page

= 6.6.2 =

* Fixed incomplete blocks package on previous release

= 6.6.1 =

* Improved WMPL permalink filter (not working with custom slugs and old WPML releases)
* Fixed the hero block not rendering correctly with "left" layout
* Added the one-click list unsubscribe header

= 6.6.0 =

* Fixed a jQuery bug on drag and drop composer
* Fix for report number animations

= 6.5.9 =

* Revisited the posts block
* Support for the new Reports addon styles
* Improved the excerpt extraction
* Cancellation administrative notifications on/off switch

= 6.5.8 =

* Improvements on controls
* Delivery test mode fix for Autoresponder
* Fixed link to documentation on status panel
* Added link to documentation on SMTP page
* Reorganized status page with more links to the documentation
* Improved image block dimensions management for Outlook
* Fixed the mobile preview in the composer
* Added "image to the right" in the hero block
* Fixed dark color schema in hero block

= 6.5.7 =

* Fixed posts block to stop automated by default when there are no new contents

= 6.5.6 =

* Improved post image extraction

= 6.5.5 =

* Revised the posts block for the new Automated features
* Added action_link to controls
* Revised the newsletter regeneration and added blocks behaviors

= 6.5.4 =

* Font awesome now included
* Spacing fix on hero block
* Support methods for the WooCommerce addon
* Security fix on CSV export (reported by Vishnupriya Ilango of Fortinet's FortiGuard Labs)
* Removed obsolete fonts
* PHP 5.6 check

= 6.5.3 =

* Removed a background wrapper for outlook otherwise outlook cut down long emails
* Added background gradient (experimental, no supported by all mail clients)
* Added dark color schema to cta and hero blocks
* Fixed a debug notice

= 6.5.2 =

* Fixed image block
* Newsletter editing page with TinyMCE now saves before sending a test

= 6.5.1 =

* Solved hero block media problem not showing

= 6.5.0 =

* Hero block fix

= 6.4.9 =

* Added background selection to the composer
* Reactivated the Pint theme
* Improved blocks layout
* Inline editing for title and excerpt on Posts block
* Changed the image cropping method on newsletter included images
* Posts block can now specify an offset to skip the first *n* posts
* Fixed the display of multiline title on some blocks (was overlapping)
* Added the excerpt length on Posts block
* Removed the shortcodes from generated excerpt for blog post composer block
* New media resize to better fit the email layout standards
* Updated image block

= 6.4.8 =

* Antispam on PHP API
* Improved hero block layout
* Added color schema to some blocks
* Added background gradient (experimental)
* Added image width control on image block

= 6.4.7 =

* Default theme thumbnail fix
* Profile saving antispam check
* Fixed hero block (button)
* Added logging on spam checking (enable info lov level to see the spam check results in the logs)

= 6.4.6 =

* Added hook to [register custom theme folders](https://www.thenewsletterplugin.com/developers/newsletter-themes)
* Removed old themes
* Removed packages theme folder scan (so locally added themes are not loaded, see site documentation if you need to create a custom theme)
* Polylang support on default theme
* Better error check on addon list retrieval
* Added language on targeting options
* Fixed user list pagination
* Subject replacement for online preview

= 6.4.5 =

* Restored a missing method used by addons
* Added the changelog.txt file

= 6.4.4 =

* Automatic language detection on subscription when available
* New statistics panel

= 6.4.3 =

* Fixed error reported in log on wrong subscription calls

= 6.4.2 =

* Improved the antispam check on subscription

= 6.4.1 =

* Added statistics shortcut for sent newsletters
* Fixed unsubscription from email tracking
* Password field in smtp configuration
* Small fixes to header block
* Fixed the subject on online newsletter view
* Fixed the subject ideas popup X button

= 6.4.0 =

* Fixed extra profile fields management in REST and PHP API
* Removed the "read more" added by themes on posts excerpt
* Core improvements

 6.3.9 =

* Improved antibot and/or spam subscription checks (please review your security configuration)

= 6.3.8 =

* Fixed email encoding when sent with wp_mail() and an encoding is selected on main settings
* Optimization on sending process
* Test newsletter stats cleared when real delivery starts
* Improved image resize
* Fixed security page help texts

= 6.3.7 =

* Schedules registration fix

= 6.3.6 =

* Improved error detection
* Fixed stats collection for Autoresponder
* Changed the init sequence to grant full load of other plugins (newsletter preview problems on some installations)
* Better reporting on tests

= 6.3.5 =

* New addons panel

= 6.3.4 =

* Fixes

= 6.3.3 =

* Fixed the missing admin notification when using the internal SMTP

= 6.3.2 =

* Fixed the admin notification email not sent or bot correctly formatted

= 6.3.1 =

* Empty subject fix

= 6.3.0 =

* New mailer infrastructure: better compatibility and performance
* New [TEST] prefix for newsletter tests
* Fix on composer subject saving
* General performance improvements
* Fixed title display in header composer block

= 6.2.2 =

* Fixed custom blocks style.css loading
* Fixed loading sequence for Archive Addon
* Labels translation on profile panel

= 6.2.1 =

* Fixed foreach warning
* Added IP on subscription via API
* All addons update logics moved to our free [Addons Manager](https://www.thenewsletterplugin.com/documentation/how-to-install-the-addons-manager) to make Newsletter even lighter

= 6.2.0 =

* Fixed integration with addons manager
* Support for new addon format
* Added PHP minimum version declaration

= 6.1.9 =

* Fixed a missing default on profile configuration
* Fixed the default message template
* Added image alt on image block
* Improved addons version check and performances
* Post block and image block fixes

= 6.1.8 =

* Fixed a version check on main settings

= 6.1.7 =

* Fix for Automated

= 6.1.6 =

* Fixed roles management

= 6.1.5 =

* Improved the Gutenberg block

= 6.1.4 =

* Support for Automated theme regeneration
* Fixed link tracking

= 6.1.3 =

* Fix to avoid third party plugin notices to interfere with the composer
* NEW! Added subscription block to the Gutenberg editor
* Code cleanup

= 6.1.2 =

* Added support for roles

= 6.1.1 =

* Added support for custom blocks

= 6.1.0 =

* Fixed data cleanup for non utf8mb4 database. Emoji not saved solved.
* Small changes to the addons panel

= 6.0.9 =

* Changed the access control for editors
* Added the convert to utf8mb4 on status panel
* Small loading improvements
* API Subscribe activation message fix
* Fixed debug notice on composer
* Fixed alt attribute on social block

= 6.0.8 =

* Specific link tracking patch for ElasticEmail
* Compatibility code for WP 4.7
* Fixed minimal widget subscribe button

= 6.0.7 =

* Fixed the wrong edit mode of duplicated newsletters
* Fixed the alignment of small images on composer
* Added addons update notice on status panel

= 6.0.6 =

* Fixed the textual part saving
* Fixed required check on extra field of type "select"
* Fixed old CTA theme text part

= 6.0.5 =

* Fixed repated CSS inclusion in emails
* Email body weight optimization
* Fix warning on posts block

= 6.0.4 =

* Fixed the hero block

= 6.0.3 =

* Fixed link and color picker on text block

= 6.0.2 =

* Fixed posts block (link missing)

= 6.0.1 =

* Fixed new newsletter creating panel "proceed" button

= 6.0.0 =

* The Newsletter Plugin Composer - A new revamped drag & drop composer
* Several improvements and fixes

= 5.9.5 =

* Changed edit and delete icons on composer to avoid conflict with FontAwesome JS

= 5.9.4 =

* Added multi subscriber deletion

= 5.9.3 =

* Fixed multi newsletter deletion warning
* Fixed privacy checkbox
* Fixed a link on header warning

= 5.9.2 =

* Fixed a debug notice on subscription page

= 5.9.1 =

* Fixed language support on some shortcodes

= 5.9.0 =

* Fixes on privacy setting with multilanguage plugins
* Added per language statistics on subscribers statistics panel
* Added language set action on subscribers maintenance panel
* Separated the pre confirm and post confirm tokens

= 5.8.9 =

* Global constant to block the media resizing
* Resized thumbnails folder changed to the uploads folder (newsletter/thumbnails subfolder)
* Fall back on first post gallery image if the featured image is missing
* Patch to block third party plugins visual editor injection in out pages
* Fix media selector button on visual composer

= 5.8.8 =

* Fixed multilanguage text for newsletter page
* Fixed a profile panel debug notice

= 5.8.7 =

* Tags replacement even on template for messages
* Fixed profile page labels translation
* Added text and title color on hero block
* Added text color on preheader block
* Fixed giphy options panel


= 5.8.6 =

* Improved geolocation support
* Improved composer image block

= 5.8.5 =

* Reverted back to select2 3.x
* Added last_ip field for better geolocation
* Changed the thumbnails folder from wp-content to wp-content/uploads
* Added a more uniform internal mailer management
* Improved the mail test on status panel

= 5.8.4 =

* Fixed export error

= 5.8.3 =

* Fixed a debug notice with PHP 7.2
* Status, SMTP and main settings limited to the administrators
* Fixed buttons overlapping on composer text block
* Support for the advanced import addons

= 5.8.2 =

* Fixed shortcode check on dedicated page

= 5.8.1 =

* Delivery expected time indicator on status panel
* Fixed notice on email token missing
* Addons installation availability on status panel
* Option to remove the dedicated page check

= 5.8.0 =

* Addons manager compatibility

= 5.7.9 =

* Fixes on add-ons panel

= 5.7.8 =

* Support for the [Add on Manager](https://www.thenewsletterplugin.com/documentation/how-to-install-the-addons-manager)

= 5.7.7 =

* TinyMCE library fix

= 5.7.6 =

* Included third party's js libraries

= 5.7.5 =

* Init hook priority fix for who uses alternative wp cron

= 5.7.4 =

* Support for first and last name from wp users integration extension
* CSS fix for few themes

= 5.7.3 =

* Fixed block padding warning
* Fixed lists display on import panel
* Fixed lists display on targeting panel when in multilanguage mode

= 5.7.2 =

* Improvements on posts block
* New hero block layout
* Transaltepress extension compatibility pack

= 5.7.1 =

* Improvements on posts block

= 5.7.0 =

* Cancellation error message fix

= 5.6.9 =

* Improved separator block for Outlook compatibility
* Fixed "read more" button on posts block
* Fixed lists on notification email

= 5.6.8 =

* Removed debug notices

= 5.6.7 =

* Fixed multilanguage support for service messages template

= 5.6.6 =

* Fixed unsubscription two-steps process message

= 5.6.5 =

* Fixed email validation message

= 5.6.4 =

* Fixed reactivation message display

= 5.6.3 =

* Removed unused files
* Fixed few links with permalink disabled and WMPL language as parameter
* Fixed the minimal form with WPML

= 5.6.2 =

* readme.txt improvements
* Fixed subscribe URL for blogs with WPML and permalinks disabled

= 5.6.1 =

* Fix debug notice on profile URL when no privacy page is set on WP
* Fixed export list filter

= 5.6.0 =

* Lists pre-assignment by language (no more need to customize the newsletter shortcode or duplicate the widgets)
* Improved Polylang support (still not fully tested)

= 5.5.9 =

* Fixed a possible debug notice on subscription without a dedicated page configured
* Fixed minimal widget with WPML language selector without permalink

= 5.5.8 =

* Fixed multilanguage text on profile page
* Fix the image resizer for small images
* Page message url based on subscriber language if available

= 5.5.7 =

* Fixed the unsubscription multilanguage messages using even the user language
* Fixed the goodby message

= 5.5.5 =

* Minimal form fix with WPML
* Privacy label fix with WPML

= 5.5.4 =

* WPML integration. [Read our integration page](https://www.thenewsletterplugin.com/documentation/multilanguage)

= 5.5.3 =

* Updated tinyMCE for Edge compatibility
* Debug mode notification
* Fix debug notice on profile page

= 5.5.2 =

* Fixed the multiple dedicated page creation on Welcome screen

= 5.5.1 =

* Fixed few debug notices
* API unsubscription messages fix

= 5.5.0 =

* Added IP storage control
* Fixed a warning and a debug notice
* Aggregated warnings on admin side

= 5.4.9 =

* Lists management in APIs
* Code cleanup
* New subscribers data export controls
* New global check and notice if the dedicated page is misconfigured
* Fix privacy note display on profile page even without a privacy url set

= 5.4.8 =

* Fixed the (duplicated) style.css reference

= 5.4.7 =

* Fixed pre-assigned lists

= 5.4.6 =

* Fixed few debug notices
* Added more translatable texts
* Improved performances
* Profile saving used as confirmation
* Fixed the captcha layout and style
* Fix initialization default messages template on first install

= 5.4.5 =

* Fixed tested up version value in readme.txt
* Added support for the WP privacy url
* Added initialization values for company info on first installation
* Fixed few debug notices
* Added button in lists panel to dissociate the list from every subscriber (list clean up)
* Fix of messages on profile editing panel

= 5.4.4 =

* Fixed warning on default option init

= 5.4.3 =

* Improved the profile editing page and the email change check with activation id in double opt-in mode
* New profile editing panel configuration
* Privacy notice optionally even on profile panel
* New list change logging with source
* Removed old tabled-layout on profile editing page
* Clean up procedure for statistics and logs tables
* Removed old widget layout
* New options on list management panel
* Forced lists option removed from the subscription panel
* Dedicated page moved to main settings panel
* Tracking default value on main settings panel
* Removed old translations
* Added default option files
* Service message template no more on PHP file, the configurable template must be used
* Reactivation after cancellation feature
* Revised and simplified all texts for easy translation by the community
* The messages alternative page (/extensions/newsletter/subscription/page.php) is now deprecated and will be removed
* New [cancellation documentation page published](/extensions/newsletter/subscription/page.php)
* Integrated SMTP is now deprecated (soon will be replaced with a **free extension**)
* {home_url} tag is now deprecated, use {blog_url} instead
* Introduced tags {company_name} and {company_address} replaced by info in the company info configuration
* Default template for messages has been improved with company contacts
* Repeated subscriptions management
* Generally improved the performances with caching and code clean up
* General CSS moved to the main settings panel
* Option to disable the default CSS
* Profile export fix

= 5.4.2 =

* SVN Deleted files fix

= 5.4.1 =

* Fixed debug notice in the standard widget
* Gender label fix
* Fixed the global variable conflict on widget (rare case)
* CSS fix on widget list field

= 5.4.0 =

* Fix lists as dropdown in the widget

= 5.3.9 =

* Version number fix

= 5.3.8 =

* Fixed failed insert on ip null

= 5.3.7 =

* Fixed the newsletter deletion with clean up of log tables

= 5.3.6 =

* Fixed composer block background editing
* Fixed API functions
* Minor fixes

= 5.3.5 =

* Fixed error notice on profile.php

= 5.3.4 =

* GDPR ready
* Maintenance option to add all subscriber without a list to a specified list
* Dismissed the tabled subscription form
* Fixed privacy checkbox label for field shortcode
* Logs of lists change
* Last activity tracking
* Retargeting/deletion of inactive subscribers
* Privacy checkbox without the checkbox (option)
* Personal data export
* Improved subscriber deletion with cleanup of log tables

= 5.3.3 =

* Added GIPHY composer block
* Added raw HTML composer block
* API: Newsletters and subscribers lists

= 5.3.2 =

* Security panel reorganized
* Added Akismet spam check

= 5.3.1 =

* Name and last name check for spam
* 404 responses on error condition
* jQuery fix
* Email cleanup on admin edit panel
* Name check for spam on subscription

= 5.3.0 =

* CAPTCHA system
* IP black list
* Email address black list

= 5.2.8 =

* Redirect fix

= 5.2.7 =

* Improved block layout
* Added filter on profile url
* Removed old obsolete query
* Improved the antibot
* Antiflood configurable to 30 minutes

= 5.2.6 =

* Fixed url attributes on privacy field shortcode
* Fixed few debug notices
* (NEW) PHP API for coders (and companion REST API with the free Newsletter API extension)

= 5.2.4 =

* readme.txt fix
* Improved extension version checking
* Changed the database timeout check on status panel
* Added support for pixel perfect thumb nails of media library images

= 5.2.3 =

* Newsletter subject ideas popup

= 5.2.2 =

* Removed create_function from widgets (compatibility PHP 7.2)
* Fixed the list exclusion condition
* Added [options to Newsletter shortcodes](https://www.thenewsletterplugin.com/documentation/subscription-form-shortcodes) to show the lists as dropdown

= 5.2.1 =

* Commit fix

= 5.2.0 =

* Fixed email_url tag (broken to fix Automated in previous version)

= 5.1.9 =

* Fixed debug notice on test email from Automated Extension

= 5.1.8 =

* Newsletter page creation fix

= 5.1.7 =

* NEW! Welcome wizard

= 5.1.6 =

* Fix list selection on first save

= 5.1.5 =

* Re-confirmation is now allows for unsubscribed and bounced
* Fixed to minimal widget and minimal css
* Fixed the approx. subscriber count on newsletter creation (was showing encoded data)

= 5.1.4 =

* Fixed notices on email edit panel
* Added microdata to the call to action block
* Added filter on name field while sending. [See this post](https://www.thenewsletterplugin.com/?p=54292)
* Improved the online [viewability rules](https://www.thenewsletterplugin.com/documentation/newsletters-module#view-online)
* Fixed theme editor bad behavior
* Fixed the min size of thumbnails on default theme
* Removed references to font awesome where not used

= 5.1.3 =

* Fixed newsletter duplication which was loosing the editor type
* Fixed gender saving on targeting

= 5.1.2 =

* Improved the speed report on status panel
* Removed the obsolete diagnostic panel
* Removed obsolete code
* Removed the locked content menu entry (please install the free content lock extension)
* Fixed validation call on widget minimal
* Added more translatable strings
* Fixed the editor CSS when a theme has its own
* Confirmation is now activation
* CSS clean up

= 5.1.1 =

* Fix on email check

= 5.1.0 =

* "ncu" parameter can be used for alternative welcome page as well, not only confirmation, when single opt in is selected
* Removed the old "email alternative" to create custom subscription messages templates (has no effects)
* Added the antiflood system

= 5.0.9 =

* Removed wp users integration and locked content now available as FREE optional extensions (to make the plugin smaller)
* Removed obsolete code loading old-style extensions

= 5.0.8 =

* Improved select 2 layout
* Support for conditional comments in the editor

= 5.0.7 =

* Fix a database table field size

= 5.0.6 =

* Improved performance with new db indexes
* Fixed a bug in social URLs
* Home URL check on status panel
* Fixed a not removable notice

= 5.0.5 =

* Fixed an administration notice removal

= 5.0.4 =

* Fix media selector for blog without absolute URLs
* Notice to install the wp users integration
* Added workaround for XSS protection in chrome on custom form when they contains JS code

= 5.0.3 =

* Added {email_url_encoded} tag
* Changed https to http for compatibility with old servers

= 5.0.2 =

* Fixed a notice on theme selection panel
* Fixed a block initialization error notice for woocommerce
* Improved the emoji support on newsletter subject

= 5.0.1 =

* Fixed and improved the heading block
* Fixed the can spam block (not showing default texts is not configured)
* Fixed the footer block changed the unsubscribe url to the profile url

= 5.0.0 =

* Added wp user identifier on subscriber details panel
* Fixed a notice on subscriber list panel
* Added the Auto-Submit header
* Added the X-Auto-Response-Suppress header
* Added microdata markup for native confirmation button on email clients
* Fixed url checking with ending spaces
* Fix for sites with forced relative content url
* Fix debug notices on vimeo theme

= 4.9.9 =

* Fixed action URL for hand written forms in the subscription text
* Fixed rewrite not working with specific html formatting
* Change the composer text editor height

= 4.9.8 =

* Fixed the antibot option

= 4.9.7 =

* Fixed setup script throwing a debug notice
* Changed chart library

= 4.9.6 =

* Extension version check improved
* HTML5 form source code on profile panel

= 4.9.5 =

* Fixed table creation with dbDelta

= 4.9.4 =

* Admin css fix
* Log fix

= 4.9.3 =

* Replacing fix

= 4.9.2 =

* Style fix

= 4.9.1 =

* Small code fixes
* Chart js conflict fix
* Curl SSL version on status panel

= 4.9.0 =

* Fixed logo editing when not set in the Company Info
* Fix few layout problem on the user statistics panel
* Composer layout improvements
* Added select2 support
* Fixed syntax error on status panel auto call check
* Fixed notice for theme without the text part
* Added chart.js from cdn
* Improved stats collection and aggregation

= 4.8.9 =

* Package problems on WP.org

= 4.8.8 =

* WP Users Integration and Locked Content Extensions readiness
* Improved the SSL management on admin side
* Fix privacy checkbox layout when the link is used
* Standard form CSS improvements

= 4.8.7 =

* Empty excerpt fix
* Fixed the list of blocks not appearing on few PHP installations
* Fixed the composer editor

= 4.8.6 =

* Warnings on SMTP panel when configured but not yet activated
* Warning management in controls
* Font family selector in the editor
* Font size selector in the editor
* Removed embedded tiny
* Removed embedded ace
* HTTPS on external links
* Fixed tag replacement on subject on test confirmation and welcome emails

= 4.8.5 =

* Added HTML editor plugin to tiny
* Fixed a couple of debug notices on widget

= 4.8.4 =

* Fixed posts block background editing
* Composer js improvements
* Fixed a couple of debug notices
* CSS fix

= 4.8.3 =

* Fixed debug notices on widgets
* Fixed Vimeo icon on social block
* Fixed javascript in the editor

= 4.8.2 =

* Changed few labels
* CSS fix on admin panels

= 4.8.1 =

* Lists selection on widget
* CSS fix for submit button on widget
* Fixed the status panel on action call check
* Fixed the dedicated page creation
* New editor for service messages' template with desktop and mobile preview
* New raw html editor for newsletter with with desktop and mobile preview
* Improved status panel scheduler check
* Removed the old tiny mce 3

= 4.8.0 =

* New media selection on newsletter editor with size picker
* Fixed the required attribute on profile form
* Support for Analytics extension

= 4.7.9 =

* Removed the TGMPA library
* Some CSS fixes
* Fix few debug notices

= 4.7.8 =

* Old TGMPA library compatibility

= 4.7.7 =

* New extensions panel
* Minor fixes and enhancements
* New media selection on newsletter edit panel
* Removed enqueuing of no more used scripts
* Fixed the subscriber count on targeting panel

= 4.7.6 =

* New status panel

= 4.7.5 =

* Removed references to old css
* Fixed the relative URLs problem in the composer

= 4.7.4 =

* Improved widget CSS
* Added Instagram to social icons
* Little style improvements

= 4.7.3 =

* Added custom CSS field to customize the forms appearance
* Added codemirror for CSS edit
* Added plugin version to style link
* Added plugin version to script link
* Corrected a tag in newsletter widget minimal
* Added line height on form fields
* Changed CSS class prefixes to tnp
* Fixed a divide by zero on diagnostic panel
* Improved the collection of emails sending speed data
* Fixed a bug when adding a new subscriber from the admin panel

= 4.7.2 =

* Fixed a debug notice

= 4.7.1 =

* Fixed missing files in the package

= 4.7.0 =

* Added the selection for the Newsletter messages dedicated page
* New forms CSS and validator
* New widget for a minimal form
* Use shortcode attribute "layout" to revert to old style table forms, using layout=table
* Added reset button for diagnostic scheduler statistics

= 4.6.8 =

* Fixed the image browser/upload URL error in themes

= 4.6.7 =

* Fixed blank page without a newsletter dedicated page

= 4.6.6 =

* Fixed the blocks reload

= 4.6.5 =

* Fixed the style stripped when switching back and forth betwenn the visual and raw editor (from version 4.6.4)

= 4.6.4 =

* Fixed the profile link in admin panels
* Fixed the composer editor
* Cleanup of old code
* Force the composer editor to keep the absolute urls

= 4.6.3 =

* Fixed the profile save with new action url

= 4.6.2 =

* Fixed the import option "override status" not working in update mode
* Fixed the missing http when the couldflare plugin is installed (!)
* Improved controls and security on open tracking link
* Added few new diagnostic parameters

= 4.6.1 =

* Fixed a security issue on admin side only exploitable by logged in admins

= 4.6.0 =

* Fixed debug notices on composer post blocks
* Improved image styles on composer hero block
* Added support for WP_Error in the logger
* Improved the license checking

= 4.5.9 =

* Fixed a PHP syntax error on composer panel

= 4.5.8 =

* Edit image alt text in the composer
* Fixed german characters problem on visual composer
* Added new data to diagnostic panel
* Change the export to be more compatible with specific blog installations
* Added translations to export panel

= 4.5.7 =

* Fixed the total sent email in dashboard
* Fixed the total sent number on newsletter list when an already sent newsletter is edited
* Removed the save button on sent newsletter
* Code cleanup
* Service message for stats panel of draft newsletters

= 4.5.6 =

* New unified themes and composer selection screen
* Fixed the WP integration panel (incompatibility with WP 4.5.3)
* Removed few notices
* More warning fix
* Fix "isHTML" error
* jQuery conflict fix
* Escape fix
* Warning fix
* Fixed the mime header

= 4.5.0 =

* New responsive email Drag & Drop composer, see [the guide](https://www.thenewsletterplugin.com/plugins/newsletter/composer).

= 4.2.4 =

* Fixed the notices display in Newsletter admin pages
* Administrative emails sent now with the Newsletter engine
* New {email_id} and {email_subject} placeholders

= 4.2.3 =

* Improvements in database error management
* Added hook for Reports Extension

= 4.2.2 =

* The lock feature is disabled for editors and administrators
* Fixed the newsletter sent table

= 4.2.1 =

* Fixed the progress indicator on newsletter list

= 4.2.0 =

* New statistics dashboard
* Newsletter Reports 4 support

= 4.1.3 =

* Fixed the notice dismiss not working on every page
* Fixed debug notice on WP 4.5
* Added unverified SSL connection option on SMTP panel

= 4.1.2 =

* Minor security fix (on admin side with admin access)

= 4.2.0 =

* Added support for Reports Extension 4
* Improved license check

= 4.1.1 =

* Added compatibility with SMTP plugins (Newsletter now sends with wp_mail if not otherwise configured)
* Small CSS fixes

= 4.1.0 =

* Fix statistics link in the dashboard newsletter list

= 4.0.9 =

* Updated jQuery UI
* Updated compatibility notice
* Fixed tabs on subscriber stats panel
* Fixed documentation on profile page

= 4.0.8 =

* Dashboard style fix for WordPress >= 4.4
* Minor improvements

= 4.0.7 =

* New check to prevent not correct message template settings to block emails
* Improved confirmation email test
* Added welcome email test
* Resubscription in single opt-in does not send the confirmation email anymore
* Fixed second subscription with Facebook extension

= 4.0.6 =

* Fixed forced lists on subscription panel
* Fixed few i18n tags
* Fixed background color on theme selector

= 4.0.5 =

* Fixed an error on content lock
* Fixed CSS for extensions
* Fixed few debug notices
* Improved the content lock user recognition
* Subscriber search by list

= 4.0.4 =

* Fixed and improved the email template for service messages

= 4.0.3 =

* Fixed the welcome email enable/disable setting

= 4.0.2 =

* Fixed main settings saving
* Fixed unsubscription settings saving

= 4.0.0 =

* Shiny new look
* New top menu
* Locked content feature moved into the subscription module
* Separated SMTP configuration panel
* Newsletter users import transfer first and last name
* Various bug fixes and improvements

= 3.9.5 =

* Corrected the call to maybe_maybe_convert_table_to_utf8mb4

= 3.9.4 =

* CSV export fix
* Delete button on newsletter list fixed (wrong since version 3.9.3)

= 3.9.3 =

* Added the blog charset to the dagnostic panel
* Fixed the read count (was due to antispam filter changes)
* Language domain fixes

= 3.9.2 =

* Fixed the tab separator in CSV export
* Removed the already subscribed option
* Removed obsolete code for anchor tracking
* Added the sent newsletters to the subscriber editing panel
* Added a sent-to table

= 3.9.1 =

* Enable the tracking key edit
* Removed the antibot option, active by default
* First round of changes for translate.wordpress.org
* Fixed few notices
* Added deprecation notices for the email.php and email-alternative.php files
* Fixed the export separator
* Removed reference to plugin files in URLs to avoid spam filter
* Removed the selection of Newsletter action URL
* Removed obsolete files

= 3.9.0 =

* Fixed the new excerpt extraction

= 3.8.9 =

* Fixed few debug notices
* Improved support for browser without javascript
* Adding multi subscription support
* Improved antibot
* Fixed some debug/deprecated noticies
* Added support for new beta Report Extension features

= 3.8.8 =

* Unsubscription works now only with JavaScript enabled browser to block bots
* New way to extract excerpts to avoid third party filters
* Fixed the image selector for header logo
* Added preview form subscription message template
* Added WordPress like metadata on themes
* Fixed the default theme
* Changed few theme screeshots
* Added attribute "layout" to shortcode with value "html5" for tableless form

= 3.8.7 =

* Fixed the widget constructor

= 3.8.6 =

* Improved checks on tracking links which could be used for spamming links (open redirect)

= 3.8.5 =

* Changed the widget constructor
* Fixed the newsletter_form shortcode
* Added shortcodes for in page form building (beta): see the [plugin documentation](https://www.thenewsletterplugin.com/plugins/newsletter/newsletter-documentation).

= 3.8.4 =

* Fixed the unsubscription problem

= 3.8.3 =

* Fixed the editor for unsubscription messages
* Added the unsubscription error message
* Fixed the email change from admin panels
* Fixed the profile field check when set as optionals

= 3.8.2 =

* Improved the profile editing page (with confirmation for email change)
* Added new sync between confirmed email and linked wp user email
* Improved check and messages on subscriber edit panel
* Changed the confirmation behavior for already confirmed users (welcome page reshown)
* Added the subscription delete option when a WordPress user si deleted
* Unsubscribe action for already unsubscribed subscribers reshow the unsubscription message
* Better management of emoji (creating sometime a database error)

= 3.8.1 =

* Corrected open tracking with new tracking URL schema

= 3.8.0 =

* CSV import fix

= 3.7.9 =

* Added subject empty check when sending tests
* Added option to import subscribers as confirmed or not confirmed
* Added import subscribers from CSV file
* Updated the WP compatibility version number
* Fixed the save button on sent emails
* Fixed the List-Unsubscribe header with new URL schema

= 3.7.8 =

* Fixed the online email view with the new URL schema

= 3.7.7 =

* Fixed the editor role
* Fixed the unsubscription url with the new action url schema
* Fixed the readme.txt
* Tested with WP 4.2

= 3.7.6 =

* Fixed the new action URL schema
* Added a notice for blank page on newsletter creation
* Few notices removed
* Added more html require attributes
* Fixed the alternative confirmation redirect

= 3.7.5 =

* Fixed the referrer attribute on shortcodes

= 3.7.4 =

* Added control to avoid the wp super cache caching on newsletter services
* Added the new action URL schema (see the subscription steps panel)
* Added confirmation_url attribute to the form short code
* Added referrer attribute to the form short code
* Newsletters now start with empty subject and it's require to write it
* Fixed the API add service key check
* Fixed a couple of PHP noticies on widget (when not configured)

= 3.7.3 =

* Fixed extra profile field rules and placeholder

= 3.7.2 =

* Fixed the editor issue on subscription steps panel

= 3.7.1 =

* Attempt to fix the home url retrieval on some custom installations
* Removed some unused code
* Fixed the rate request notice
* Added the new URL tracking option (beta)
* Added the new URL tracking option notice
* Added file owner checking on diagnostic panel
* Added action files call checking on diagnostic panel
* Added dimensions on read-tracking image
* Added the html tag to the message templates
* Changed the template generation method to avoid conflicts with themes

= 3.7.0 =

* Bugfix

= 3.6.9 =

* Little fix

= 3.6.8 =

* Fixed the subject of the administrative notification
* Cleaned up obsolete code
* Added support for extension versions check
* Fixed typo in text only themes
* Fixed wrong unsubscribe code in German Welcome Email

= 3.6.7 =

* New Blog Info configuration panel
* New Default Theme
* Minor layout changes
* Fix subscription email link
* Added notices when filters are active on subscriber management panel
* Few fixes on statistic panel
* Fixed undefined index noticies on subscription page
* Several fixes
* A TNT team member quitted smoking, so the plugin become smoking free

= 3.6.6 =

* Added a cron monitor
* Added a xmas theme
* Fixed the opt-in mode for wordpress registsred users
* Fixed the noticies
* Fixed somes styles
* Added the direct newsletter edit for themes without options
* Header changed
* Fixed all links to refer the new site www.thenewsletterplugin.com
* Fixed the newsletter editor default style

= 3.6.5 =

* Added parameter "plugin url" on diagnostic panel
* Added custom post types to the linear theme
* Added custom post types to the vimeo-like theme
* Fixed the feed by mail placeholder panel
* Fixed the antibot option with preferences

= 3.6.4 =

* Support for greek (and others) characters without the entity encoding
* Fixed a debug notice in the widget code
* Added gender on import
* Added support for the constant NEWSLETTER_LOG_DIR in wp-config.php to define the loggin folder
* Fixed the domain removal on subscription steps messages

= 3.6.3 =

* Fixed the feed by mail test function

= 3.6.2 =

* Added the separator selection on CSV export
* Added the UTF-8 BOM to the export
* Fixed some debug noticies

= 3.6.1 =

* Fixed the widget when field names contain double quotes

= 3.6.0 =

* Removed the extension list from welcome panel
* Added the and operator in the newsletter recipients selector
* Fixed the select_group(...) in NewsletterControls class

= 3.5.9 =

* Added a possible antibot to the subscription flow

= 3.5.8 =

* Added soundcloud for social icon on default theme
* Fixed the welcome screen (should)

= 3.5.7 =

* Added the private flag on newsletters
* Fixed old extension version checking/reporting

= 3.5.6 =

* Added custom header for newsletter tagging with mandrill
* Added internally used html 5 subscription form

= 3.5.5 =

* Added the license key field for special installations

= 3.5.4 =

* Fixed the web preview charset

= 3.5.3 =

* Added support for extensions as plugins

= 3.5.2 =

* Fixed the {title} tag replacement for old subscriber list with the gender not set
* Added the upgrade from old versions button on diagnostic panel

= 3.5.1 =

* Support for the SendGrid extension

= 3.5.0 =

* Fixed the subscriber list panel
* Interface reviewed
* Fixed the image chooser for WP 3.8.1
* Fixed the export for editors
* Patch for anonymous users create by woocommerce
* Madrill API adapter
* Header separation between this plugin and the extensions
* Default to base 64 encoding of outgoing email to solve the long lines problem

= 3.4.9 =

* Fixed some warnings in debug mode
* Fixed the disabling setting of the social icons (on default newsletter themes)
* Added filters on widget for WPML
* Added filter for single line feeds refused by some mail servers

= 3.4.8 =

* Added a javascript protection against auto confirmation from bot
* Fixed a warning with debug active on site login

= 3.4.7 =

* Fixed the subscription panel where some panels where no more visible.

= 3.4.6 =

* Added the full_name tag
* Added the "simple" theme
* Added indexes to the statistic table to improve the reports extension response time
* Fixed some noticies in debug mode

= 3.4.5 =

* Revisited the theme chooser and the theme configuration
* Fixed a double field on the locked content configuration
* Improved the delivery engine

= 3.4.4 =

* Improved error messages
* Fixed the last tab store (jquery changes)
* Added some new controls for the pop up extensions

= 3.4.3 =

* Added the precendence bulk header (https://support.google.com/mail/answer/81126)
* Added filter on messages to avoid wrong URLs when the blog change domain or folder
* Added the alt attribute to the tracking image
* New option to set the PHP max execution time
* Fixed some text on main configuration panel

= 3.4.2 =

* Refined the subscription for already subscribed emails

= 3.4.1 =

* Fixed the delivery engine warning message
* Fixed the version check

= 3.4.0 =

* Changed newsletter copy to copy even the editor and traking status
* Fixed the subscribers search list
* Added some more buttons on Newsletter editor
* Added the subscription form menu voice (I cannot answer anymore the same request about subscribe button translation :-)
* Suppressed warning on log function

= 3.3.9 =

* Fixed activation in debug mode
* Fixed some notices
* Added defaults for subscriber titles (Mr, Mrs, ...)

= 3.3.8 =

* Internal code fixes
* Fixed the "editor" access control

= 3.3.7 =

* Fixed the feed by mail field on widget
* Fixed tab names to avoid mod_security interference
* Fixed the "name" form field rules
* Added (undocumented/untested) way to change the table names

= 3.3.6 =

* Fixed a caching blocking on short code
* New way to create a newsletter

= 3.3.5 =

* Fixed the mailto rewriting
* Added tags and categories to default theme
* Added post type on default theme
* Fixed some administrative CSS
* Revisited the theme selection and configuration

= 3.3.4 =

* Fixed the module version check

= 3.3.3 =

* Fixed the IP tracking on opening

= 3.3.2 =

* Disabled the save button on composer when the newsletter is "sending" or "sent"
* Added ip field on statistics
* Reviewed the subscriber statistics panel
* Fixed some links on welcome panel
* Added extensions version check
* Added the Mandrill Extension support
* Fixed the banner options on default theme
* New "new newsletter" panel (hope simpler to use)

= 3.3.1 =

* Fixed a bug in an administrative query

= 3.3.0 =

* Fixed a replacement on online email version
* Fixed a missing privacy check box configuration
* Improved the split posts
* Added post_type control
* Re-enabled the subscription for addresses not confirmed
* Fixed the welcome and ocnfirmaiton email when sent from subscribers list panel (were not using the theme)
* Added the "pre-checked" option to preferences configuration

= 3.2.9 =

* Fixed a possible loop on widget (when using extended fields in combobox format)

= 3.2.8 =

* Fixed the newsletter_replace filter
* Added the person title for salutation
* Changed the profile field panel
* Fixed the massive deletion of unsubscribed users

= 3.2.7 =

* Added a controls for the Reports module version 1.0.4
* Changed opening tracking and removed 1x1 GIF
* Added support for popup on subscription form
* Fixed the link to the reports module

= 3.2.6 =

* Fixed the forced preferences on subscription panel

= 3.2.5 =

* Fixed the home_url and blog_url replacements
* Added the cleans up of tags used in href attributes
* Fixed the cleans up of URL tags
* Added module version checking support
* Added the welcome email option to disable it
* Fixed the new subscriber notification missing under some specific conditions

= 3.2.4 =

* Added target _blank on theme links so they open on a new windows for the online version
* Changed to the plugins_url() function
* Added clean up of url tags on composer

= 3.2.3 =

* Added schedule list on Diagnostic panel
* Removed the enable/disable resubscription option
* Added a check for the delivery engine shutdown on some particular situations
* Revisited the WordPress registration integration
* Revisited the WordPress user import and moved on subscriber massive action panel
* Added links to new documentation chapter
* Removed a survived reference to an old table
* Reactivated the replacement of the {blog_url} tag
* Fixed the tracking code injection
* Fixed a default query generation for compatibility with 2.5 version
* Fixed the tag replacements when using the old forms

= 3.2.2 =

* Fixed the subscription options change problem during the upgrade
* English corrections by Rita Vaccaro
* Added the Feed by Mail demo module
* Added support for the Facebook module

= 3.2.1 =

* Fixed fatal error with old form formats

= 3.2.0 =

* Added hint() method to NewsletterControls
* Fixed the Newsletter::replace_date() to replace even the {date} tag without a format
* Added NewsletterModule::format_time_delta()
* Added NewsletterModule::format_scheduler_time
* Improved the diagnostic panel
* Fixed an error on subscription with old forms
* Fixed the unsubscription with old formats
* Fixed the confirmation for multiple calls
* Fixed user saving on new installation (column missing for followup module)
* Added compatibility code with domain remaping plugin
* Added a setting to let unsubscribed users to subscribe again
* Added the re-subscription option

= 3.1.9 =

* Added the NEWSLETTER_MAX_EXECUTION_TIME
* Added the NEWSLETTER_CRON_INTERVAL
* Improved the delivery engine performances
* Improved the newsletter list panel
* Change the subscription in case of unsubscribed, bounced or confirmed address with a configurable error message
* Some CSS review
* Fixed the unsubscription procedure with a check on user status
* Added Pint theme

= 3.1.7 =

* Added better support for Follow Up for Newsletter
* Fixed integration with Feed by Mail for Newsletter
* Fixed a bug on profile save
* Fixed a message about log folder on diagnostic panel
* Fixed the sex field on user creation

= 3.1.6 =

* Fixed the subscription form absent on some configurations

= 3.1.5 =

* Content locking deactivated if a user is logged in
* Added a button to create a newsletter dedicated page
* Added top message is the newsletter dedicated page is not configured
* Fixed the subscription process with the old "na" action
* Added a new option with wp registration integration
* Added the opt-in mode to wp registration integration

= 3.1.4 =

* Fixed a bug on post/page preview

= 3.1.3 =

* Added support for SendGrid Module
* Fixed a fatal error on new installations on emails.php

= 3.1.2 =

* Fixed the access control for editors
* Improved to the log system to block it when the log folder cannot be created
* Moved all menu voices to the new format
* Improved the diagnostic panel
* Added ability to send and email to not confirmed subscribers
* Fixed a problem with internal module versions

= 3.1.1 =

* Fixed the copy and delete buttons on newsletter list
* Removed the old trigger button on newsletter list
* Fixed the edit button on old user search
* Improved the module version checking
* Added the "unconfirm" button on massive subscriber management panel

= 3.1.0 =

* Added link to change preferences/sex from emails
* Added tag reference on email composer
* Added "negative" preference selection on email targeting
* Improved the subscription during WordPress user registration
* Fixed the preference saving from profile page
* Fixed the default value for the gender field to "n"
* Added loading of the Feed by Mail module
* Added loading of the Follow Up module
* Added loading of the MailJet module
* Changed the administrative page header
* Changed the subscriber list and search panel
* Improved the locked content feature
* Fixed the good bye email not using the standard email template
* Changed the diagnostics panel with module versions checking
* Fixed some code on NewsletterModule

= 3.0.9 =

* Fixed an important bug

= 3.0.8 =

* Fixed the charset on some pages and previews for umlaut characters

= 3.0.7 =

* Fixed a warning in WP 3.5
* Fixed the visual editor on/off on composer panel

= 3.0.6 =

* Added file permissions check on diagnostic panel
* Fixed the default value for "sex" on email at database level
* Fixed the checking of required surname
* Fixed a warning on subscription panel
* Improved the subscription management for bounced or unsubscribed addresses
* Removed the simple theme of tinymce to reduce the number of files
* Added neutral style for subscription form

= 3.0.5 =

* Added styling for widget
* Fixed the widget html
* Fixed the reset button on subscription panels
* Fixed the language initialization on first installation
* Fixed save button on profile page (now it can be an image)
* Fixed email listing showing the planned status

= 3.0.4 =

* Fixed the alternative email template for subscription messages
* Added user statistics by referrer (field nr passed during subscription)
* Added user statistics by http referer (one r missing according to the http protocol)
* Fixed the preview for themes without textual version
* Fixed the subscription redirect for blogs without permalink
* Fixed the "sex" column on database so email configuration is correctly stored
* Fixed the wp user integration

= 3.0.3 =

* Fixed documentation on subscription panel and on subscription/page.php file
* Fixed the statistics module URL rewriting
* Fixed a "echo" on module.php datetime method
* Fixed the multi-delete on newsletter list
* Fixed eval() usage on add_menu_page and add_admin_page function
* Fixed a number of ob_end_clean() called wht not required and interfering with other output buffering
* Fixed the editor access level

= 3.0.2 =

* Documented how to customize the subscription/email.php file (see inside the file) for subscription messages
* Fixed the confirmation message lost (only for who do not already save the subscription options...)

= 3.0.1 =

* Fixed an extra character on head when including the form css
* Fixed the double privacy check on subscription widget
* Fixed the charset of subscription/page.php
* Fixed the theme preview with wp_nonce_url
* Added compatibility code for forms directly coded inside the subscription message
* Added link to composer when the javascript redirect fails on creation of a new newsletter
* Fixed the old email list and conversion

= 3.0.0 =

* Release

= 2.6.2 =

* Added the user massive management panel

= 2.5.3.3 =

* Updated to 20 lists instead of 9
* Max lists can be set on wp-config.php with define('NEWSLETTER_LIST_MAX', [number])
* Default preferences ocnfigurable on subscription panel

= 2.5.3.2 =

* fixed the profile fields generation on subscription form

= 2.5.3.1 =

* fixed javascript email check
* fixed rewrite of link that are anchors
* possible patch to increase concurrency detection while sending
* fixed warning message on email composer panel

= 2.5.3 =

* changed the confirmation and cancellation URLs to a direct call to Newsletter Pro to avoid double emails
* mail opening now tracked
* fixed the add api
* feed by mail settings added: categories and max posts
* feed by mail themes change to use the new settings
* unsubscribed users are marked as unsubscribed and not removed
* api now respect follow up and feed by mail subscription options
* fixed the profile form to add the user id and token
* subscribers' panel changed
* optimizations
* main url fixed everywhere
* small changes to the email composer
* small changes to the blank theme

= 2.5.2.3 =

* subscribers panel now show the profile data
* search can be ordered by profile data
* result limit on search can be specified
* {unlock_url} fixed (it was not pointing to the right configured url)

= 2.5.2.2 =

* fixed the concurrent email sending problem
* added WordPress media gallery integration inside email composer

= 2.5.2.1 =

* added the add_user method
* fixed the API (was not working) and added multilist on API (thankyou betting-tips-uk.com)
* fixed privacy check box on widget

= 2.5.2 =

* added compatibility with lite cache
* fixed the list checkboxes on user edit panel
* removed the 100 users limit on search panel
* category an max posts selection on email composer

= 2.5.1.5 =

* improved the url tag replacement for some particular blog installation
* fixed the unsubscription administrator notification
* replaced sex with gender in notification emails
* fixed the confirm/unconfirm button on user list
* fixed some labels
* subscription form table HTML

= 2.5.1.4 =

* added {date} tag and {date_'format'} tag, where 'format' can be any of the PHP date formats
* added {blog_description} tag
* fixed the feed reset button
* added one day back button to the feed
* updated custom forms documentation
* fixed the trigger button on emails panel
* changed both feed by mail themes (check them if you create your own theme)
* fixed the custom profile field generation (important!)
* fixed documentation about custom forms

Version 2.5.1.3
- fix the feed email test id (not important, it only generates PHP error logs)
- feed by mail send now now force the sending if in a non sending day
- changed the way feed by mail themes extract the posts: solves the sticky posts problem
- added the feed last check time reset button
- fixed the confirm and cancel buttons on user list
- fixed the welcome email when using a custom thank you page
- added images to theme 1
- added button to trigger the delivery engine
- fixed the widget mail check
- reintroduced style.css for themes
- updated theme documentation
- added CDATA on JavaScript
- fixed theme 1 which was not adding the images
- added theme 3

Version 2.5.1.2
- fixed the old profile fields saving

Version 2.5.1.1
- new fr_FR file
- fixed test of SMTP configuration which was sending to test address 2 instead of test address 1
- bounced voice remove on search filter
- added action "of" which return only the subscription form and fire a subcription of type "os"
- added action "os" that subscribe the user and show only the welcome/confirmation required message
- fixed issue with main page url configuration

Version 2.5.1
- Fixed the widget that was not using the extended fields
- Fixed the widget that was not using the lists
- Added the class "newsletter-profile" and "newsletter-profile-[number]" to the widget form
- Added the class "newsletter-profile" and "newsletter-profile-[number]" to the main subscription form
- Added the class "newsletter-profile" and "newsletter-profile-[number]" to the profile form
- Added the classes "newsletter-email", "newsletter-firstname", "newsletter-surname" to the respective fields on every form
- Removed email theme option on subscription panel (was not used)
- Fixed the welcome email on double opt in process
- Subscription notifications to admin only for confirmed subscription
- Fixed subscription process panel for double opt in (layout problems)
- Improved subscription process panel


Version 2.5.0.1
- Fix unsubscription process not working

Version 2.5.0
- Official first release

